[R] library() error?

Prof Brian D Ripley ripley at stats.ox.ac.uk
Tue Feb 26 10:58:10 CET 2002

On Tue, 26 Feb 2002, Hiroyuki Kawakatsu wrote:

> hi,
> i just upgraded to R1.4.1 on a windoze 2000 machine. (i first
> uninstalled R1.3.1.) after running SetupR, i did packages/install from
> cran..., selected all packages, which appears to have installed
> fine. now when i type
> library()
> i get the error message
> Error in rbind(...) : number of columns of matrices must match (see arg 2)
> according to help(library), this is supposed to give me a list of all
> available packages, not? is this a known problem? do we know of a fix?

Yes, it supposed to, but perhaps one of those packages is not up-to-date in
its information files.  The Windows contributed section does contain some
obselete packages.

I suggest you start again, and only install the packages you actually

Brian D. Ripley,                  ripley at stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272860 (secr)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

r-help mailing list -- Read http://www.ci.tuwien.ac.at/~hornik/R/R-FAQ.html
Send "info", "help", or "[un]subscribe"
(in the "body", not the subject !)  To: r-help-request at stat.math.ethz.ch

More information about the R-help mailing list